using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Modules.Library.Database.Migrations
{
    /// <inheritdoc />
    public partial class M006 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "TypeFlag",
                table: "Anime_Episodes",
                newName: "Type");

            migrationBuilder.AddColumn<string>(
                name: "DurationType",
                table: "Anime_Episodes",
                type: "text",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DurationType",
                table: "Anime_Episodes");

            migrationBuilder.RenameColumn(
                name: "Type",
                table: "Anime_Episodes",
                newName: "TypeFlag");
        }
    }
}
